ItfButtonTypes = {

  'search': function(button, buttonData, boxData) {
    return button;
  },

  'info': function(button, buttonData, boxData) {
    button.bindEvent("click", function() {
      var info = boxData.info;
      var d = new Ox.Dialog({
        buttons: [
          new Ox.Button({
            id: 'cancel',
            title: 'Close',
            })
            .bindEvent("click", function() { d.close(); })
        ],
        content: new Ox.Element().html(info),
        title: boxData.title
      })
      .open();      
    });
    return button;
  },

  'views_menu': function(button, buttonData, boxData) {
    return button;
  },

  'sort_menu': function(button, buttonData, boxData) {
    return button;
  },

  'dialog': function(button, buttonData, boxData) {
    return button;
  }

}

